Modbot Docs
APIAPI referenceAPI keys

List API keys

GET/api/api-keys

Every API key, with its owner and state. Never the key itself.

Needs the ManageApiKeys permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/api-keys"
{  "keys": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "start": "string",      "permissionNames": [        "string"      ],      "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc",      "ownerName": null,      "createdAt": "2019-08-24T14:15:22Z",      "expiresAt": null,      "lastUsedAt": null,      "revokedAt": null,      "state": "string"    }  ],  "grantable": [    {      "name": "string",      "value": 0,      "label": "string",      "description": "string",      "group": "string"    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.